# encoding: utf-8

class DevisUploader < CarrierWave::Uploader::Base

  include Rails.application.routes.url_helpers


  def filename
    "Devis-#{model.offer.need.title}-pour-#{model.customer.organisation}.#{file.extension}"  if original_filename.present?
  end

  def store_dir
    "#{Rails.root}/private_medias/devis/#{model.id}"
  end

  def extension_white_list
    %w(pdf)
  end

  def url
      download_admin_offer_accepted_offer_path(model.offer, model)
  end

end
